Debian Bug report logs - #574586
virtualenvwrapper reports an error instead of just fixing it

version graph

Package: virtualenvwrapper; Maintainer for virtualenvwrapper is Jan Dittberner <jandd@debian.org>; Source for virtualenvwrapper is src:virtualenvwrapper.

Reported by: Shai Berger <shai@platonix.com>

Date: Fri, 19 Mar 2010 07:57:05 UTC

Severity: normal

Tags: fixed-upstream

Found in version virtualenvwrapper/1.24.2+dfsg1-1

Fixed in version virtualenvwrapper/1.26+dfsg1-1

Done: Jan Dittberner <jandd@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bitbucket.org/dhellmann/virtualenvwrapper/issue/26/support-system-wide-installations

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Dittberner <jandd@debian.org>:
Bug#574586; Package virtualenvwrapper. (Fri, 19 Mar 2010 07:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shai Berger <shai@platonix.com>:
New Bug report received and forwarded. Copy sent to Jan Dittberner <jandd@debian.org>. (Fri, 19 Mar 2010 07:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shai Berger <shai@platonix.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: virtualenvwrapper reports an error instead of just fixing it
Date: Fri, 19 Mar 2010 09:56:19 +0200
Package: virtualenvwrapper
Version: 1.24.2+dfsg1-1
Severity: normal

Hi,

Since I installed the package yesterday, every user
starting a shell is greeted with

ERROR: Virtual environments directory '/home/shai/.virtualenvs' does not exist.

(where 'shai' is the user name).

This includes users who have absolutely no interest
in virtual python environments.

Thanks,
	Shai.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages virtualenvwrapper depends on:
ii  bash-completion               1:1.1-3    programmable completion for the ba
ii  libjs-jquery                  1.4.2-1    JavaScript library for dynamic web
ii  python-virtualenv             1.4.5-1    Python virtual environment creator

virtualenvwrapper recommends no packages.

virtualenvwrapper suggests no packages.

-- no debconf information




Set Bug forwarded-to-address to 'http://bitbucket.org/dhellmann/virtualenvwrapper/issue/26/support-system-wide-installations'. Request was from Jan Dittberner <jandd@debian.org> to control@bugs.debian.org. (Fri, 19 Mar 2010 14:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#574586; Package virtualenvwrapper. (Sat, 20 Mar 2010 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Dittberner <jandd@debian.org>:
Extra info received and forwarded to list. (Sat, 20 Mar 2010 14:36:03 GMT) Full text and rfc822 format available.

Message #12 received at 574586@bugs.debian.org (full text, mbox):

From: Jan Dittberner <jandd@debian.org>
To: 574586@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fixed in upstream commit r140
Date: Sat, 20 Mar 2010 15:34:20 +0100
[Message part 1 (text/plain, inline)]
tag 574586 fixed-upstream
thanks

Doug Hellmann fixed the issue in commit r140 [1]. It will be available in the
next upstream version.

[1] http://bitbucket.org/dhellmann/virtualenvwrapper/changeset/34c5c4ec83ce/

-- 
Jan Dittberner - Debian Developer
GPG-key: 4096R/558FB8DD 2009-05-10
         B2FF 1D95 CE8F 7A22 DF4C  F09B A73E 0055 558F B8DD
http://ddportfolio.debian.net/ - http://people.debian.org/~jandd/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Jan Dittberner <jandd@debian.org> to control@bugs.debian.org. (Sat, 20 Mar 2010 14:36:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jan Dittberner <jandd@debian.org> to control@bugs.debian.org. (Sat, 27 Mar 2010 21:18:03 GMT) Full text and rfc822 format available.

Reply sent to Jan Dittberner <jandd@debian.org>:
You have taken responsibility. (Sat, 03 Apr 2010 21:27:13 GMT) Full text and rfc822 format available.

Notification sent to Shai Berger <shai@platonix.com>:
Bug acknowledged by developer. (Sat, 03 Apr 2010 21:27:13 GMT) Full text and rfc822 format available.

Message #21 received at 574586-close@bugs.debian.org (full text, mbox):

From: Jan Dittberner <jandd@debian.org>
To: 574586-close@bugs.debian.org
Subject: Bug#574586: fixed in virtualenvwrapper 1.26+dfsg1-1
Date: Sat, 03 Apr 2010 21:21:32 +0000
Source: virtualenvwrapper
Source-Version: 1.26+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
virtualenvwrapper, which is due to be installed in the Debian FTP archive:

virtualenvwrapper_1.26+dfsg1-1.debian.tar.gz
  to main/v/virtualenvwrapper/virtualenvwrapper_1.26+dfsg1-1.debian.tar.gz
virtualenvwrapper_1.26+dfsg1-1.dsc
  to main/v/virtualenvwrapper/virtualenvwrapper_1.26+dfsg1-1.dsc
virtualenvwrapper_1.26+dfsg1-1_all.deb
  to main/v/virtualenvwrapper/virtualenvwrapper_1.26+dfsg1-1_all.deb
virtualenvwrapper_1.26+dfsg1.orig.tar.gz
  to main/v/virtualenvwrapper/virtualenvwrapper_1.26+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 574586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Dittberner <jandd@debian.org> (supplier of updated virtualenvwrapper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 27 Mar 2010 21:43:41 +0100
Source: virtualenvwrapper
Binary: virtualenvwrapper
Architecture: source all
Version: 1.26+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Jan Dittberner <jandd@debian.org>
Changed-By: Jan Dittberner <jandd@debian.org>
Description: 
 virtualenvwrapper - extension to virtualenv for managing multiple virtual Python envi
Closes: 574586
Changes: 
 virtualenvwrapper (1.26+dfsg1-1) unstable; urgency=low
 .
   * New upstream version (Closes: #574586)
   * remove README.html from debian/virtualenvwrapper.docs it has been
     removed upstream
   * switch to source format 3.0 (quilt)
Checksums-Sha1: 
 99313e95cb8f0403a908e7c19dcbc9405785a236 1997 virtualenvwrapper_1.26+dfsg1-1.dsc
 8ae3589f1fa035c1e3bc17bf45d27702395546dc 75286 virtualenvwrapper_1.26+dfsg1.orig.tar.gz
 66ae82948812cba7d1017ce1d8170e112a067436 3363 virtualenvwrapper_1.26+dfsg1-1.debian.tar.gz
 37bace0c9672cf59c619610fd2dcfb7968ed2baa 42878 virtualenvwrapper_1.26+dfsg1-1_all.deb
Checksums-Sha256: 
 2cd711845c283e6c80cf02e883ec6d71fef5447f98c0a343e86cf1b65e003599 1997 virtualenvwrapper_1.26+dfsg1-1.dsc
 aa07003d696b7e0772bdee87f7d7e4e4bab352bd0768294fd2c24b4f47a700bb 75286 virtualenvwrapper_1.26+dfsg1.orig.tar.gz
 a6fb50b49e37637579b42d780c0245e649e523feb86d1518a3982d0c7faa255f 3363 virtualenvwrapper_1.26+dfsg1-1.debian.tar.gz
 98e73f55a98ef272db914c1f381d9c13d29b77d770de8cba9ba31ef314853fae 42878 virtualenvwrapper_1.26+dfsg1-1_all.deb
Files: 
 0286a416b6e1ecac0573a28d7c6010df 1997 python optional virtualenvwrapper_1.26+dfsg1-1.dsc
 3e58ad1a221bae4ef2f410095ce4b908 75286 python optional virtualenvwrapper_1.26+dfsg1.orig.tar.gz
 7e4cf46edc82abb0eeeb6121970be086 3363 python optional virtualenvwrapper_1.26+dfsg1-1.debian.tar.gz
 d6d8ff6eed711f30a0420fe3fad55bee 42878 python optional virtualenvwrapper_1.26+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLrm5IAAoJEKc+AFVVj7jdpLMP/0lPgVQD23p2Dg3ykxeQTJ1a
gRq4/nMymVTthZNHrysyqKCadN9+O6sUPveWDWFCJ+fkKUJumYpxyyAgND8y0uln
YRzjXEy3smvaO1ozaEcmiWsEiUIJNKrJtscuFy+4LPWtgKvFt08I0YpYCw8al4AY
JE1x0M/AFKyM+06GBCi7oa8BrUuigpV+6HnD/AOS1KTY//mVKSVjCB1mcc/s8NzP
y0PN8q6+rOKPwKRxTWz5gCX1wUzn9WyWJurvSQmtyBRSpefbMHYtuDeCqc12k1SE
Lv30OonbnijuqS6dQ6qiU+9zqNdgSS/7xHKaTSABjUOQvIkQwXk493LgGdD+VZlj
2AGo/NqtNR0B7fNYEqwpz+w9WisSaqahhtpEwCq+DMnGEvx6rKhPet6q+KHfK76A
H7gnoeni3lu1LtA6HNQfBqiD1I1mFF8jnHoPJxApy9CuZdc0OClUfFmKO++LQX49
UmOXX1jPYCwhDiyYkyvYO6H9WKN8hUM9/mFmIM4fykJXgjWfmcsWbDEAdgmNU8/Z
hL8qO+BoovslH2cbPj/QCOJiTE2d5dF0mm/mR3kakFi6v2AiXa4lF3cnz+0CHEze
ATSaNdr9LMQPLEtvp9q5Csb6VrvZsMTvejCe3d/zDW+DWGKeGhERPgmr0TCwyCHh
Z2wi9VmVvUKAw0l0hLIF
=Kpqn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 08:14:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:10:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.